## GimpPreview GimpPreview |

## Functions

gboolean | gimp_preview_get_update ()
void | gimp_preview_set_update ()
void | gimp_preview_set_bounds ()
void | gimp_preview_get_size ()
void | gimp_preview_get_position ()
void | gimp_preview_transform ()
void | gimp_preview_untransform ()
GtkWidget * | gimp_preview_get_area ()
void | gimp_preview_draw ()
void | gimp_preview_draw_buffer ()
void | gimp_preview_invalidate ()
void | gimp_preview_set_default_cursor ()
GtkWidget * | gimp_preview_get_controls ()

## Properties

gboolean | update | Read / Write / Construct

## Style Properties

gint | size | Read

## Signals

void | invalidated | Run First

## Types and Values

| GimpPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview

## Implemented Interfaces

GimpPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_preview_get_update ()

    gboolean
    gimp_preview_get_update (GimpPreview *preview);

Since: GIMP 2.2

### gimp_preview_set_update ()

    void
    gimp_preview_set_update (GimpPreview *preview,
                             gboolean update);

Since: GIMP 2.2

### gimp_preview_set_bounds ()

    void
    gimp_preview_set_bounds (GimpPreview *preview,
                             gint xmin,
                             gint ymin,
                             gint xmax,
                             gint ymax);

Since: GIMP 2.2

### gimp_preview_get_size ()

    void
    gimp_preview_get_size (GimpPreview *preview,
                           gint *width,
                           gint *height);

Since: GIMP 2.2

### gimp_preview_get_position ()

    void
    gimp_preview_get_position (GimpPreview *preview,
                               gint *x,
                               gint *y);

Since: GIMP 2.2

### gimp_preview_transform ()

    void
    gimp_preview_transform (GimpPreview *preview,
                            gint src_x,
                            gint src_y,
                            gint *dest_x,
                            gint *dest_y);

Since: GIMP 2.4

### gimp_preview_untransform ()

    void
    gimp_preview_untransform (GimpPreview *preview,
                              gint src_x,
                              gint src_y,
                              gint *dest_x,
                              gint *dest_y);

Since: GIMP 2.4

### gimp_preview_get_area ()

    GtkWidget *
    gimp_preview_get_area (GimpPreview *preview);

Since: GIMP 2.4

### gimp_preview_draw ()

    void
    gimp_preview_draw (GimpPreview *preview);

Since: GIMP 2.2

### gimp_preview_draw_buffer ()

    void
    gimp_preview_draw_buffer (GimpPreview *preview,
                              const guchar *buffer,
                              gint rowstride);

Since: GIMP 2.2

### gimp_preview_invalidate ()

    void
    gimp_preview_invalidate (GimpPreview *preview);

Since: GIMP 2.2

### gimp_preview_set_default_cursor ()

    void
    gimp_preview_set_default_cursor (GimpPreview *preview,
                                     GdkCursor *cursor);

Since: GIMP 2.2

### gimp_preview_get_controls ()

    GtkWidget *
    gimp_preview_get_controls (GimpPreview *preview);

Since: GIMP 2.4

## Types and Values

### GimpPreview

    typedef struct _GimpPreview GimpPreview;

## Property Details

### The `“update”` property

      “update”                   gboolean

Flags: Read / Write / Construct

Default value: TRUE

## Style Property Details

### The `“size”` style property

      “size”                     gint

Flags: Read

Allowed values: [1,1024]

Default value: 200

## Signal Details

### The `“invalidated”` signal

    void
    user_function (GimpPreview *gimppreview,
                   gpointer     user_data)

Flags: Run First